

' Check command line parameters
Select Case WScript.Arguments.Count
Case 0
' Default if none specified is local computer (".")
Set objWMIService = GetObject( "winmgmts://./root/cimv2" )
Set colItems = objWMIService.ExecQuery( "Select * from Win32_ComputerSystem", , 48 )
For Each objItem in colItems
strComputer = objItem.Name
Next
Case 1
' Command line parameter can either be a computer name
' or "/?" to request online help
strComputer = Wscript.Arguments(0)
        if InStr( strComputer, "?" ) > 0 Then Syntax
Case Else
' Maximum is 1 command line parameter
Syntax
End Select



strMsg = vbCrLf & "Name:" & vbTab & "Drive:" & vbTab & "Size:" & _
         vbTab & "Free:" & vbTab & "% Free:" & vbCrLf & "=====" & _
         vbTab & "======" & vbTab & "=====" & vbTab & "=====" & _
         vbTab & "=======" & vbCrLf
On Error Resume Next
Set objWMIService = GetObject( "winmgmts://" & strComputer & "/root/cimv2" )
If Err.Number Then
WScript.Echo vbCrLf & "Error # " & CStr( Err.Number ) & _
             " " & Err.Description
Err.Clear
Syntax
End If
On Error GoTo 0
' Set colItems = objWMIService.ExecQuery("Select * from Win32_LogicalDisk where MediaType=12",,48)
Set colItems = objWMIService.ExecQuery("Select * from Win32_LogicalDisk where DriveType=3",,48)
For Each objItem in colItems
strMsg = strMsg & strComputer & vbTab & _
         objItem.Name & vbTab & _
         CStr( Int( 0.5 + ( objItem.Size / 1073741824 ) ) ) & _
         vbTab & _
         CStr( Int( 0.5 + ( objItem.FreeSpace / 1073741824 ) ) ) & _
         vbTab & _
         CStr( Int( 0.5 + ( 100 * objItem.FreeSpace / objItem.Size) ) ) & _
         vbCrLf
		 
spazio_libero =  CStr( Int( 0.5 + ( objItem.FreeSpace / 1073741824 ) ) )

Dim a, b, c

'a prende il disco C --------------------------
If a = "" Then a= spazio_libero

' B prende , se c' il disco secondario. SI usa in casi di F o D -----------------------

'If b= a Then b=""
'If b = "" Then b= spazio_libero

Next






		    ' Invio mail con OSSMTP.DLL----------------------------------------------------------------------	
		
				    'Dim oSMTP 'As OSSMTP.SMTPSession
					'Set oSMTP = CreateObject("OSSMTP.SMTPSession")
					'WScript.ConnectObject oSMTP, "oSMTP_"
					'oSMTP.Server = "mail.*********.it" 'server name or IP address
					'oSMTP.MailFrom = "sistemi@*********.it" 'sender e-mail address
					'oSMTP.SendTo = "helpdesk@*********.it" 'recipient e-mail address
					'oSMTP.MessageSubject = "Spazio Disco"
					'oSMTP.MessageText = a & "GB"
					'oSMTP.SendEmail
					'Set oSMTP = Nothing
				  


		    ' Invio mail con CDONS di IIS----------------------------------------------------------------------

					'Const MAIL_MODE = 2 
					'Const MAIL_SERV = "mail.*********.it" 
					'Const MAIL_PORT = 25  
					
					'  Set objEmail = CreateObject("CDO.Message") 
					'  With objEmail 
					'	  .From = "sistemi@*********.it" 
					'	  .To = "helpdesk@*********.it" 
					'	    ''''.MDNRequested = True 
					'	  .Subject = "Spazio Disco" 
					'	  .Textbody = a & "GB" 
					'	  .Configuration.Fields.Item("http://schemas.microsoft.com/cdo/configuration/sendusing") = MAIL_MODE
					'	  .Configuration.Fields.Item("http://schemas.microsoft.com/cdo/configuration/smtpserver") = MAIL_SERV
					'	  .Configuration.Fields.Item("http://schemas.microsoft.com/cdo/configuration/smtpserverport") = MAIL_PORT 
					'	  .Configuration.Fields.Update 
					'	  .Send 
					'  End With 
					  
					  



Sub Syntax
strMsg = vbCrLf & "FreeSpace.vbs" & vbCrLf & _
         "Display free disk space for all local drives." & vbCrLf & _
         vbCrLf & _
         "Usage:  CSCRIPT  FREESPACE.VBS  [ computer_name ]" & _
         vbCrLf & vbCrLf & _
         "Where:  " & Chr(34) & "computer_name" & Chr(34) & _
         " is the name of a WMI enabled computer on the network" & _
         vbCrLf & vbCrLf
WScript.Echo strMsg
WScript.Quit(1)
End Sub



